<?php
function authoritymarketer_demo_import_setup() {
    return array(
        array(
            'import_file_name'             => 'authoritymarketer Demo Import',
            'categories'                   => array( 'Category new', 'Category old' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demo-files/authoritymarketer-demox.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demo-files/authoritymarketer-demox.wie',
            'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'inc/demo-files/authoritymarketer-demox.dat',

            'import_preview_image_url'     => 'https://templatic.com/wp-themes/uploads/2016/09/authoritymarketer-wordpress-theme.jpg',
            'import_notice'                => __( 'After you import this demo, you will have to setup some other features separately.', 'authoritymarketer' ),
            'preview_url'                  => 'https://demo.templatic.com/authority-marketer/',
        )

    );
}
add_filter( 'pt-ocdi/import_files', 'authoritymarketer_demo_import_setup' );

//die(trailingslashit( get_template_directory() ) . 'screenshot.png');


if ( ! function_exists( 'authoritymarketer_after_import' ) ) :
function authoritymarketer_after_import( $selected_import ) {

    if ( 'authoritymarketer Demo Import' === $selected_import['import_file_name'] ) {
        //Set Menu
        $main_menu = get_term_by('name', 'Primary MENU', 'nav_menu');
        set_theme_mod( 'nav_menu_locations' , array(
              'primary' => $main_menu->term_id,
             )
        );
    }

}
add_action( 'pt-ocdi/after_import', 'authoritymarketer_after_import' );
endif;
