<?php
/*
Plugin Name: Authority Core
Plugin URI: https://templatic.com
Description: This plugin is some component/shortcode/blocks and essential function for for Authority Marketer simple blogging theme with a flat design.
Version: 1.0.0
Author: AuthorityMarketer
Author URI: https://templatic.com/
License: GNU General Public License v2 or later
Text Domain: authoritymarketer
*/

// Exit if accessed directly
if( ! defined( 'ABSPATH' ) ) exit;

// Plugin Path
define( 'AUTHORITYM_PLUGIN_PATH', ABSPATH . 'wp-content/plugins/authority-core' );

// Plugin URL
define( 'AUTHORITYM_PLUGIN_URL', plugins_url( '', __FILE__ ) );

/**
 * Include Functions
 */
//require_once plugin_dir_path( __FILE__ ) . 'functions.php';


/* Include all widget files */
foreach ( glob( AUTHORITYM_PLUGIN_PATH . '/widgets/*.php' ) as $filename ) {
	require_once $filename;
}

if ( ! function_exists( 'authoritymarketer_widgets' ) ) {

	add_action( 'widgets_init','authoritymarketer_widgets' ); // register new widgets

	function authoritymarketer_widgets() {
		 register_widget( 'Authoritymarketer_Widget_Popular_Posts' );
		 register_widget( 'Authoritymarketer_Widget_Latest_Posts' );
		 register_widget( 'Authoritymarketer_Adv_Widget' );
		 register_widget( 'Authoritymarketer_Social_Media' );
		 register_widget( 'Authoritymarketer_Subscriber_Widget' );
		 register_widget( 'Authoritymarketer_Author_Widget' );
		register_widget( 'Authoritymarketer_My_Book' );
		register_widget( 'Authoritymarketer_Widget_Related_Posts' );
		register_widget( 'Authoritymarketer_Widget_Categories' );
		register_widget( 'Authoritymarketer_Widget_Tag_Cloud' );
	}

}
