<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package authority
 */

?>
			</div><!--.wrap -->
		</div><!-- #content -->
	</div>

		<?php if ( is_active_sidebar( 'footer_top' ) ) { ?>
						 <div class="instagram">
						 <h3><?php esc_html__( 'Follow us @ Instagram','authoritymarketer' );?></h3>
						<?php dynamic_sidebar( 'footer_top' ); ?>
						 </div>

			<?php } ?>

	<footer id="colophon" class="site-footer clearfix" role="contentinfo">
		<div class="site-info row clearfix">

			<?php
			if ( is_active_sidebar( 'footer_content' ) ) { ?>
					<div class="large-12 medium-12 columns footer-widget">
						<?php dynamic_sidebar( 'footer_content' ); ?>
					</div>
			<?php } ?>
		 </div><!-- .site-info -->

				<div class="footer-bottom">
				<div class="large-12 medium-12 columns">
					<div class="row">
							<?php
								$footer_text = get_theme_mod( 'footer_text' );
							if ( isset( $footer_text ) && $footer_text != '' ) {
								echo esc_html($footer_text);
							} else {
								?>
								<p class="source-org copyright left">&copy; <?php echo date( 'Y' ); ?> <?php bloginfo( 'name' ); ?>. <?php echo wp_kses( __( 'Free WordPress theme by <a href="https://templatic.com/free-wordpress-themes/">Templatic</a>','authoritymarketer' ),array( 'a' ) ); ?>
								</p>
								<?php
							}
							?>

					</div>
				</div>
			</div>

			</footer><!-- #colophon -->


<?php wp_footer(); ?>

</body>
</html>
